- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Osi-0.98.1/DyLP/src/Dylp/glpinv.h File Reference

`#include "glpluf.h"`

Include dependency graph for glpinv.h:

Go to the source code of this file.

## Classes
struct | INV
## Defines
#define | inv_create dy_glp_inv_create
#define | inv_decomp dy_glp_inv_decomp
#define | inv_h_solve dy_glp_inv_h_solve
#define | inv_ftran dy_glp_inv_ftran
#define | inv_btran dy_glp_inv_btran
#define | inv_update dy_glp_inv_update
#define | inv_delete dy_glp_inv_delete
## Typedefs
typedef INV | INV
## Functions
INV * | inv_create (int m, int max_upd)
int | inv_decomp (INV *inv, void *info, int(*col)(void *info, int j, int rn[], double bj[]))
void | inv_h_solve (INV *inv, int tr, double x[])
void | inv_ftran (INV *inv, double x[], int save)
void | inv_btran (INV *inv, double x[])
int | inv_update (INV *inv, int j)
void | inv_delete (INV *inv)

## Define Documentation

#define inv_create dy_glp_inv_create

Definition at line 25 of file glpinv.h.

#define inv_decomp dy_glp_inv_decomp

Definition at line 26 of file glpinv.h.

#define inv_h_solve dy_glp_inv_h_solve

Definition at line 27 of file glpinv.h.

#define inv_ftran dy_glp_inv_ftran

Definition at line 28 of file glpinv.h.

#define inv_btran dy_glp_inv_btran

Definition at line 29 of file glpinv.h.

#define inv_update dy_glp_inv_update

Definition at line 30 of file glpinv.h.

#define inv_delete dy_glp_inv_delete

Definition at line 31 of file glpinv.h.

## Typedef Documentation

typedef struct INV INV

Definition at line 76 of file glpinv.h.

## Function Documentation

INV* inv_create | ( | int | m,
|  | int | max_upd |
| ) |  |  |

int inv_decomp | ( | INV * | inv,
|  | void * | info,
|  | int(*)(void *info, int j, int rn[], double bj[]) | col |
| ) |  |  |

void inv_h_solve | ( | INV * | inv,
|  | int | tr,
|  | double | x[] |
| ) |  |  |

void inv_ftran | ( | INV * | inv,
|  | double | x[],
|  | int | save |
| ) |  |  |

void inv_btran | ( | INV * | inv,
|  | double | x[] |
| ) |  |  |

int inv_update | ( | INV * | inv,
|  | int | j |
| ) |  |  |

void inv_delete | ( | INV * | inv | ) |